Package com.databricks.jdbc.api.impl.volume

## Class DBFSVolumeClient.UploadRequest

- java.lang.Object
- - com.databricks.jdbc.api.impl.volume.DBFSVolumeClient.UploadRequest

Enclosing class:
  DBFSVolumeClient

    public static class DBFSVolumeClient.UploadRequest
    extends Object

Request class that holds all necessary information for either file or stream uploads.

### Field Summary

Fields
`long` `contentLength`
`String` `errorMessage`
`Path` `file`
`InputStream` `inputStream`
`String` `objectPath` Relative path within the volume (used for logging and error messages)
`int` `originalIndex`
`String` `ucVolumePath` Full UC volume path (e.g., /Volumes/catalog/schema/volume/path/file.txt)

### Constructor Summary

Constructors
`UploadRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### objectPath

    public String objectPath

Relative path within the volume (used for logging and error messages)

#### ucVolumePath

    public String ucVolumePath

Full UC volume path (e.g., /Volumes/catalog/schema/volume/path/file.txt)

#### file

    public Path file

#### inputStream

    public InputStream inputStream

#### contentLength

    public long contentLength

#### originalIndex

    public int originalIndex

#### errorMessage

    public String errorMessage

### Constructor Detail

#### UploadRequest

    public UploadRequest()

### Method Detail

#### isFile

    public boolean isFile()